{"openapi":"3.0.0","info":{"version":"0.1","title":"261ADM007 Employee Service","description":""},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/adm007/employee-service/0.1"},{"description":"Live API Endpoint","url":"https://qt2m5s6g9a.execute-api.eu-north-1.amazonaws.com/prod"}],"tags":[{"name":"Employee"}],"paths":{"/employees/{id}":{"get":{"tags":["Employee"],"summary":"Gets an employee by ID.","description":"Retrieves an employee by the associated ID","operationId":"getEmployeeById","parameters":[{"name":"id","in":"path","description":"Employee ID","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Employee"}}}},"404":{"description":"Not found"}}}},"/employees":{"post":{"tags":["Employee"],"summary":"Adds an employee","operationId":"addEmployee","description":"Adds an employee to the system","responses":{"201":{"description":"Employee created"},"400":{"description":"Invalid input, object invalid"},"409":{"description":"An employee already exists"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Employee"}}},"required":true,"description":"Employee to add"}},"get":{"tags":["Employee"],"summary":"Searches employees","description":"By passing in the appropriate options you can apply filters to your search for available employees in the system","operationId":"getEmployees","parameters":[{"in":"query","name":"employeeName","description":"Pass an optional case sensitive search string for an employee (partial) name to look up","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Search results matching the filter criteria","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Employee"}}}}},"400":{"description":"Bad input"}}}}},"components":{"schemas":{"Employee":{"type":"object","required":["jobTitle","name","email"],"properties":{"id":{"type":"string","format":"uuid","example":"d290f1ee-6c54-4b01-90e6-d701748f0851"},"jobTittle":{"type":"string","example":"Mathematician"},"name":{"type":"string","example":"Alan Turing"},"email":{"type":"string","example":"Alan.Turing@turing-machine.com"}}}}}}